com.dlsc.flexgantt.swing.action.gantt

## Class DeleteNodeAction<T extends AbstractGanttChart>

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction<T>
      - - com.dlsc.flexgantt.swing.action.gantt.DeleteNodeAction<T>

- Type Parameters:
    `T` - the type of the Gantt chart
  All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action

      public class DeleteNodeAction<T extends AbstractGanttChart>
      extends AbstractGanttChartAction<T>

  An action that can be used in the context of the `AbstractGanttChart` to delete tree nodes in the currently focused tree table. The action will delete all nodes that are currently selected in the tree table. The action delegates to `TreeTable.deleteSelectedNodes()`.
  Since:
    1.1
  Author:
    Dirk Lemmermann
  See Also:
    `INodeEditPolicy.isDeletable(Object, com.dlsc.flexgantt.model.treetable.ITreeTableModel)`, `INodeEditPolicy.getDeleteNodesCommand(java.util.List, com.dlsc.flexgantt.model.treetable.ITreeTableModel)`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `ganttChart`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeleteNodeAction(T gc)` Constructs a new action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent evt)`
    `boolean` | `isEnabled()`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `findFocusedTable, getGanttChart, setGanttChart`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeleteNodeAction

          public DeleteNodeAction(T gc)

      Constructs a new action.
      Parameters:
        `gc` - the Gantt chart on which the action will be performed
      Since:
        1.0

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Specified by:
        `isEnabled` in interface `Action`
      Overrides:
        `isEnabled` in class `AbstractAction`

    - #### actionPerformed

          public void actionPerformed(ActionEvent evt)

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.